import { Description } from "./Description";
import { TreemapNodeStyleDescription } from "./TreemapNodeStyleDescription";
import { Type } from "./type";
/**
 * @hidden
 */
export declare class TreemapNodeStylingEventArgsDescription extends Description {
    static $t: Type;
    protected get_type(): string;
    get type(): string;
    constructor();
    private k;
    get value(): number;
    set value(a: number);
    private j;
    get sum(): number;
    set sum(a: number);
    private p;
    get customValueRef(): string;
    set customValueRef(a: string);
    private q;
    get itemRef(): string;
    set itemRef(a: string);
    private s;
    get parentItemRef(): string;
    set parentItemRef(a: string);
    private r;
    get label(): string;
    set label(a: string);
    private i;
    get parentValue(): number;
    set parentValue(a: number);
    private t;
    get parentLabel(): string;
    set parentLabel(a: string);
    private h;
    get parentSum(): number;
    set parentSum(a: number);
    private f;
    get style(): TreemapNodeStyleDescription;
    set style(a: TreemapNodeStyleDescription);
}
